#! /bin/sh
#
# module :
# vrification des liens bibnemomaf pr et post-installation
# cf. install.sh
#
# source :
# /usr/home/fplod/incas/bibnemo/src/bibnemomaf/checklink.sh sur aedon.locean-ipsl.upmc.fr
#
# mise  jour :
# fplod 2007-04-04T14:09:14Z aedon.locean-ipsl.upmc.fr (Darwin)
# cration
#
set -u
set -o posix
command=$(basename ${0})
#
# ++ simu paramtre
DIRWWW=/usr/temp/${LOGNAME}/public_html/bibnemomaf/
#
checklinkopt="--summary --recursive"
#
# is checklink available
type checklink 1> /dev/null 2>&1
checklink_status=${?}
if [ ${checklink_status} -ne 0 ]
then
   echo "${command} : eee : checklink unavailable"
   exit 1
fi
#
echo " "
fverif=${DIRWWW}/en/one/bibnemomaf00.html
nfverif=www_en_one_bibnemomaf00.html
echo " Do you want to check ${fverif} (y|[n]) ?"
answer=" "
read answer
case ${answer} in
 Y|y)
 log=/tmp/checklink${nfverif}.log
 err=/tmp/checklink${nfverif}.err
 echo "verif de ${fverif}"
 checklink \
 ${checklinkopt} \
 ${fverif} \
 1> ${log} 2> ${err}
 echo "iii : log in ${log}"
 ;;
 *)
 echo "no check ${fverif}"
 ;;
esac
#
echo " "
fverif=${DIRWWW}/en/one/bibnemomaf01.html
nfverif=www_en_one_bibnemomaf01.html
echo " Do you want to check ${fverif} (y|[n]) ?"
answer=" "
read answer
case ${answer} in
 Y|y)
 log=/tmp/checklink${nfverif}.log
 err=/tmp/checklink${nfverif}.err
 echo "verif de ${fverif}"
 checklink \
 ${checklinkopt} \
 ${fverif} \
 1> ${log} 2> ${err}
 echo "iii : log in ${log}"
 ;;
 *)
 echo "no check ${fverif}"
 ;;
esac
#
exit
